package com.admin.major.mapper;

import java.util.List;
import com.admin.major.domain.ApplyFile;

/**
 * 附件表Mapper接口
 * 
 * @author zewei
 * @date 2022-05-30
 */
public interface ApplyFileMapper 
{
    /**
     * 查询附件表
     * 
     * @param fileId 附件表主键
     * @return 附件表
     */
    public List<ApplyFile> selectApplyFileByFileId(String fileId);

    /**
     * 查询附件表列表
     * 
     * @param applyFile 附件表
     * @return 附件表集合
     */
    public List<ApplyFile> selectApplyFileList(ApplyFile applyFile);

    /**
     * 新增附件表
     * 
     * @param applyFile 附件表
     * @return 结果
     */
    public int insertApplyFile(ApplyFile applyFile);

    /**
     * 修改附件表
     * 
     * @param applyFile 附件表
     * @return 结果
     */
    public int updateApplyFile(ApplyFile applyFile);

    /**
     * 删除附件表
     * 
     * @param fileId 附件表主键
     * @return 结果
     */
    public int deleteApplyFileByFileId(String fileId);

    /**
     * 批量删除附件表
     * 
     * @param fileIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteApplyFileByFileIds(String[] fileIds);
}
